> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dosfinds.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all leads

> Returns a list of leads in JSON format.



## OpenAPI

````yaml services/quotes/openapi-v1.yaml get /api/v1/leads
openapi: 3.0.0
info:
  title: Dos Quotes API
  version: 1.0.0
servers:
  - url: https://app.dosfinds.co.uk
    description: Production
security: []
tags:
  - name: Authentication
    description: OAuth2 flows via Doorkeeper
  - name: Users
    description: Endpoints for user profile
  - name: Leads
    description: Endpoints for listing and managing leads
paths:
  /api/v1/leads:
    get:
      tags:
        - Leads
      summary: List all leads
      description: Returns a list of leads in JSON format.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - service_name
                    - service_slug
                    - client_name
                    - client_email
                    - client_phone_number
                    - created_at
                    - client_address
                    - service_question_answers
                    - all_details_one_liner
                  properties:
                    id:
                      type: integer
                      example: 123
                    service_name:
                      type: string
                      example: Immigration
                    service_slug:
                      type: string
                      example: immigration
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-05-04T12:34:56Z'
                    client_name:
                      type: string
                      example: John Doe
                    client_email:
                      type: string
                      format: email
                      example: john.doe@example.com
                    client_phone_number:
                      type: string
                      example: '+441234567890'
                    client_address:
                      type: object
                      nullable: true
                      required:
                        - friendly_address
                      properties:
                        friendly_address:
                          type: string
                          example: London, England, SW11 3PG
                    service_question_answers:
                      type: array
                      items:
                        type: object
                        required:
                          - question
                          - slug
                          - answer
                        properties:
                          question:
                            type: string
                            example: What is your nationality?
                          slug:
                            type: string
                            example: nationality
                          answer:
                            type: string
                            example: British
                    all_details_one_liner:
                      type: string
                      description: >-
                        Concatenated questions/answers and address in a single
                        string.
                      example: |
                        What is your nationality?
                        British
                        --
                        Address: Online - London, England, SW11 3PG
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````